# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-mglob
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%if 0%{?fedora} > 15
%global with_python3 1
%endif

Name:           python-module-mglob
Version:        0.4
Release:        alt2_8
Summary:        Enhanced file name globbing module

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/mglob
Source0:        http://pypi.python.org/packages/source/m/mglob/mglob-%{version}.zip
# sent upstream via mail
Patch0:         mglob-0.4-built-in-set.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

%if 0%{?with_python3}
BuildRequires:  /usr/bin/2to3
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
%endif
Source44: import.info

%description
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.

%if 0%{?with_python3}
%package -n python3-module-mglob
Group: Development/Python
Summary:        Enhanced file name globbing module
%description -n python3-module-mglob
Usable as stand-alone utility (for xargs, backticks etc.), or as a globbing
library for own python programs.
Some enhanced features are recursion, exclusion, and directory omission.
%endif

%prep
%setup -q -n mglob-%{version}
%patch0
sed -i -e '/^#!\//, 1d' mglob.py

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
find %{_builddir}/python3-%{oldname}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

2to3 --write --nobackups %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'


%build
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
    %{__python3} setup.py build
popd
%endif # with_python3

%{__python} setup.py build


%install
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}
    mv %{buildroot}%{_bindir}/mglob %{buildroot}%{_bindir}/python3-mglob
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
# upstream has no docs
%doc
%{_bindir}/mglob
%{python_sitelibdir_noarch}/mglob.py*
%{python_sitelibdir_noarch}/mglob-%{version}-py?.?.egg-info

%if 0%{with_python3}
%files -n python3-module-mglob
# upstream has no docs
%doc
%{_bindir}/python3-mglob
%{python3_sitelibdir_noarch}/__pycache__/mglob.cpython*
%{python3_sitelibdir_noarch}/mglob.py*
%{python3_sitelibdir_noarch}/mglob-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.4-alt2_8
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_8
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_7
- initial fc import

